Subject: bug#48452: 28.0.50; flymake for elisp does not respect `load-path`

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Jul 2022 11:18:11 +0200

João Távora <[email-masked]> writes:

> Or maybe -- again, I'm just guessing -- the danger is that that bad.el
> is disguised under /tmp/pcase.el and /tmp/good.el has a perfectly
> legitimate.
>
>    (require 'pcase)
>
> Simply visitng /tmp/good.el with Flymake on would lead to disaster.

Yes.  Sorry, I thought it was self-evident that that's the problem I was
talking about with having "./" in load-path.

> If
> that's the case, it's as easy as applying this patch

[...]

> -                   ,@(mapcan (lambda (path) (list "-L" path))
> +                   ,@(mapcan (lambda (path) (list "-L" (format ":%s" path)))
>                               elisp-flymake-byte-compile-load-path)

That would be a distinct improvement; yes.  (But with a comment about
what that does, because it's not self explanatory.)